RLAB(1)

NAME
rlab - matrix oriented, interactive programming environment

SYNOPSIS
rlab [-Vdhlmnpqr] [file(s)] [-]

DESCRIPTION
rlab is an interpreter for the RLaB Programming Language/Environment. The RLaB language is useful for matrix or array oriented numerical analyses. RLaB is especially useful for prototyping and experimenting with algorithms. rlab also provides a convenient interface to many of the LAPACK, FFTPACK, and RANLIB subroutines.

OPTIONS

-V  Prints the version number to stderr and exits.

-d  causes a readable form of the internal stack machine's compiled program to be output to stderr. This option should be used in conjunction with `-qln' options. This option is not intended for general use.

-h  prints the usage message to the screen and exits.

-l  prevents loading of the rlab library of rfiles.

-m  prevents printing of the greeting message.

-n  prevents line number and file name information from being used in the internal stack machine codes. This option should only be used with the `-dlnq'. This option is not intended for general use.

-p  prevents rlab from using the specified pager for all output.

-q  prevents loading of the startup file

-r  prevents usage of the GNU readline library for command line editing.

file(s)
    are loaded and executed by rlab after the `.rlab' file, and after the library files.

-   forces rlab to go interactive after all the files on the command line have been executed.

ENVIRONMENT
rlab checks the values of several environment variables upon startup, and uses them to overide the compiled in defaults. If a particular environment variable has not been set, the default value is used. RLAB_RC0 Startup rfile. RLAB_HELP_DIR The principle directory of help files. RLAB_LIB_DIR The directory of rfiles to load on startup. RLAB_PAGER The pager to use for paging help files to the screen. If RLAB_PAGER is not set, then the environment is checked for PAGER . If neither exists, then the pager specified at compile time is used. RLAB_SEARCH_PATH A colon separated list of directories to search when attempting to load rfiles. This directory list should contain the RLAB_LIB_DIR and the RLaB toolbox directory. If RLAB_LIB_DIR is not in the RLAB_SEARCH_PATH , then there may be unresolved function variables.

EXECUTION
rlab is normally executed from a shell command line. Upon startup rlab

Processes the command line options.
Executes the `.rlab' file.
Executes any `.r' files in the library directory.
Executes any files specified on the command line.
Goes into interactive mode if no files are specified on the
command line, or if the `-' option is used.

rlab can also be invoked by using the `#!' convention employed by exec(2). A rlab script that begins with a line of the form:

	#! pathname [arg]

where pathname is the full pathname to the rlab executable, and arg is optional argument(s). Note that if the `-' option is not specified rlab will not go interactive after the script has been executed.

DOCUMENTATION
rlab has an on-line help system, which can be accessed by typing `help'. A tutorial and a reference manual are currently being worked on. This man-page was not intended to provide a description of the language, or rlab's features. Please refer to the manuals, or the on-line help.

BUGS
Paged output gets hosed after an `out of memory' message. rlab implements fprintf(), printf() and sprintf() using the C library functions, fprintf, printf and sprintf, so rlab inherits any bugs or limitations of the library functions. Send bug reports to: ians@eskimo.com. Bug reports should include the rlab version number, a short rfile that exercises the bug, and a description of the host operating system and hardware.

AUTHORS
Ian Searle (ians@eskimo.com) Phillip Musumeci and Ian Searle are the authors of the RLaB Primer Brad Hards is the author of the RLaB Reference Manual Mike Brennan has contributed some code from mawk.

SEE ALSO
sh (1) more (1) exec (2)